## GladeDesignView GladeDesignView — A widget to embed the workspace. |

## Functions

GtkWidget * | glade_design_view_new ()
GladeProject * | glade_design_view_get_project ()
GladeDesignView * | glade_design_view_get_from_project ()

## Properties

GladeProject * | project | Read / Write / Construct Only

## Types and Values

struct | GladeDesignView

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GladeDesignView

## Implemented Interfaces

GladeDesignView implements AtkImplementorIface, GtkBuildable, GtkOrientable and _GladeDrag.

## Description

Use this widget to embed toplevel widgets in a given GladeProject.

## Functions

### glade_design_view_new ()

    GtkWidget *
    glade_design_view_new (GladeProject *project);

### glade_design_view_get_project ()

    GladeProject *
    glade_design_view_get_project (GladeDesignView *view);

### glade_design_view_get_from_project ()

    GladeDesignView *
    glade_design_view_get_from_project (GladeProject *project);

## Types and Values

### struct GladeDesignView

    struct GladeDesignView;

## Property Details

### The `“project”` property

      “project”                  GladeProject *

The project for this view.

Flags: Read / Write / Construct Only